### Hierarchy

- SideNavItem

### Implements

- OnChanges

## Index

### Inputs

- active
- isSubMenu
- route
- routeExtras
- title
- href

### Outputs

- navigation
- selected

### Constructors

- constructor

### Properties

- _href
- active
- domSanitizer
- isSubMenu
- navigation
- route
- routeExtras
- router
- selected
- title

### Accessors

- href

### Methods

- navigate
- ngOnChanges

## Constructors

### constructor

- new SideNavItem(domSanitizer: DomSanitizer, router: Router): SideNavItem

- - Defined in src/ui-shell/sidenav/sidenav-item.component.ts:91

  #### Parameters

  - ##### domSanitizer: DomSanitizer

  - ##### router: Router

  #### Returns SideNavItem

## Properties

### Protected _href

_href: string = "javascript:void(0)"

- Defined in src/ui-shell/sidenav/sidenav-item.component.ts:91

### active

@Input()
active: boolean = false

- Defined in src/ui-shell/sidenav/sidenav-item.component.ts:59

### Protected domSanitizer

domSanitizer: DomSanitizer

- Defined in src/ui-shell/sidenav/sidenav-item.component.ts:93

### isSubMenu

@Input()
isSubMenu: boolean = false

- Defined in src/ui-shell/sidenav/sidenav-item.component.ts:67

### navigation

@Output()
navigation: EventEmitter<Promise<boolean>> = new EventEmitter<Promise<boolean>>()

- Defined in src/ui-shell/sidenav/sidenav-item.component.ts:83

### route

@Input()
route: any[]

- Defined in src/ui-shell/sidenav/sidenav-item.component.ts:65

### routeExtras

@Input()
routeExtras: any

- Defined in src/ui-shell/sidenav/sidenav-item.component.ts:73

### Protected router

@Optional()
router: Router

- Defined in src/ui-shell/sidenav/sidenav-item.component.ts:93

### selected

@Output()
selected: EventEmitter<boolean> = new EventEmitter<boolean>()

- Defined in src/ui-shell/sidenav/sidenav-item.component.ts:89

### title

@Input()
title: string

- Defined in src/ui-shell/sidenav/sidenav-item.component.ts:78

## Accessors

### href

@Input()
href:

- Defined in src/ui-shell/sidenav/sidenav-item.component.ts:44
- Defined in src/ui-shell/sidenav/sidenav-item.component.ts:52

## Methods

### navigate

- navigate(event: any): void

- - Defined in src/ui-shell/sidenav/sidenav-item.component.ts:101

  #### Parameters

  - ##### event: any

  #### Returns void

### ngOnChanges

- ngOnChanges(changes: any): void

- - Defined in src/ui-shell/sidenav/sidenav-item.component.ts:95

  #### Parameters

  - ##### changes: any

  #### Returns void

Generated using TypeDoc